Class | Tk::Tcllib::Plotchart::IsometricPlot
In: | tk/lib/tkextlib/tcllib/plotchart.rb
Parent: | TkCanvas

### Methods

new plot plot_circle plot_filled_circle plot_filled_rectangle plot_rectangle

### Included Modules

ChartMethod

### Constants

TkCommandNames | = | [ 'canvas'.freeze, '::Plotchart::createIsometricPlot'.freeze

### Public Class methods

new(*args)

[Source]

    # File tk/lib/tkextlib/tcllib/plotchart.rb, line 406
        def initialize(*args) # args := ([parent,] xaxis, yaxis, [, step] [, keys])
                              # xaxis := Array of [minimum, maximum]
                              # yaxis := Array of [minimum, maximum]
                              # step := Float of stepsize | "noaxes" | :noaxes
          if args[0].kind_of?(Array)
            @xaxis = args.shift
            @yaxis = args.shift

            if args[0].kind_of?(Hash)
              @stepsize = :noaxes
            else
              @stepsize = args.shift
            end

            super(*args) # create canvas widget
          else
            parent = args.shift

            @xaxis = args.shift
            @yaxis = args.shift

            if args[0].kind_of?(Hash)
              @stepsize = :noaxes
            else
              @stepsize = args.shift
            end

            if parent.kind_of?(TkCanvas)
              @path = parent.path
            else
              super(parent, *args) # create canvas widget
            end
          end

          @chart = _create_chart
        end

### Public Instance methods

plot(type, *args)

[Source]

    # File tk/lib/tkextlib/tcllib/plotchart.rb, line 451
        def plot(type, *args)
          self.__send__("plot_#{type.to_s.tr('-', '_')}", *args)
        end

plot_circle(*args)

[Source]

    # File tk/lib/tkextlib/tcllib/plotchart.rb, line 465
        def plot_circle(*args) # args := xc, yc, radius, color
          tk_call_without_enc(@chart, 'plot', 'circle', *(args.flatten))
          self
        end

plot_filled_circle(*args)

[Source]

    # File tk/lib/tkextlib/tcllib/plotchart.rb, line 470
        def plot_filled_circle(*args) # args := xc, yc, radius, color
          tk_call_without_enc(@chart, 'plot', 'filled-circle', *(args.flatten))
          self
        end

plot_filled_rectangle(*args)

[Source]

    # File tk/lib/tkextlib/tcllib/plotchart.rb, line 460
        def plot_filled_rectangle(*args) # args := x1, y1, x2, y2, color
          tk_call_without_enc(@chart, 'plot', 'filled-rectangle', *(args.flatten))
          self
        end

plot_rectangle(*args)

[Source]

    # File tk/lib/tkextlib/tcllib/plotchart.rb, line 455
        def plot_rectangle(*args) # args := x1, y1, x2, y2, color
          tk_call_without_enc(@chart, 'plot', 'rectangle', *(args.flatten))
          self
        end

[Validate]